- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TMultiView

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TMultiView

TMultiView class

TMultiView serves as a container for a group of TView controls. The view collection can be retrieved by Views. Each view contains child controls. TMultiView determines which view and its child controls are visible. At any time, at most one view is visible (called active). To make a view active, set ActiveView or ActiveViewIndex.

TMultiView also responds to specific command events raised from button controls contained in current active view. A command event with name 'NextView' will cause TMultiView to make the next available view active. Other command names recognized by TMultiView include

- PreviousView : switch to previous view
- SwitchViewID : switch to a view by its ID path
- SwitchViewIndex : switch to a view by its index in the Views collection.

TMultiView raises OnActiveViewChanged event when its active view is changed during a postback.
Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
protected void | activateView ( TView $view, boolean $triggerViewChangedEvent) Activates the specified view.
void | addParsedObject ( string|TComponent $object) Processes an object that is created during parsing template.
boolean | bubbleEvent ( TControl $sender, mixed $param) Processes the events bubbled from child controls.
protected TViewCollection | createControlCollection () Creates a control collection object that is to be used to hold child controls
TView | getActiveView ()
integer | getActiveViewIndex ()
TViewCollection | getViews ()
void | ignoreBubbleEvents () Makes the multiview ignore all bubbled events.
void | loadState () Loads state into the wizard.
void | onActiveViewChanged ( TEventParameter $param) Raises OnActiveViewChanged event.
void | onInit ( TEventParameter $param) Initializes the active view if any.
void | render ( THtmlWriter $writer) Renders the currently active view.
void | setActiveView ( TView $view)
void | setActiveViewIndex ( integer $value)

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary
string | CMD_NEXTVIEW |
string | CMD_PREVIOUSVIEW |
string | CMD_SWITCHVIEWID |
string | CMD_SWITCHVIEWINDEX |

Method Details

## activateView

protected void activateView | (TView $view , boolean $triggerViewChangedEvent )

Activates the specified view.

If there is any view currently active, it will be deactivated.

Input
TView | $view | the view to be activated
boolean | $triggerViewChangedEvent | whether to trigger OnActiveViewChanged event.
Output
Exception

## addParsedObject

public void addParsedObject | (string|TComponent $object )

Processes an object that is created during parsing template.

This method overrides the parent implementation by adding only TView controls as children.

Input
string|TComponent | $object | text string or component parsed and instantiated in template
Output
Exception
throws | TConfigurationException if controls other than TView is being added

## bubbleEvent

public boolean bubbleEvent | (TControl $sender , mixed $param )

Processes the events bubbled from child controls.

The method handles view-related command events.

Input
TControl | $sender | sender of the event
mixed | $param | event parameter
Output
boolean | whether this event is handled
Exception

## createControlCollection

protected TViewCollection createControlCollection | ()

Creates a control collection object that is to be used to hold child controls

Output
TViewCollection | control collection
Exception

## getActiveView

public TView getActiveView | ()

Output
TView | the currently active view, null if no active view
Exception
throws | TInvalidDataValueException if the current active view index is invalid

## getActiveViewIndex

public integer getActiveViewIndex | ()

Output
integer | the zero-based index of the current view in the view collection. -1 if no active view. Default is -1.
Exception

## getViews

public TViewCollection getViews | ()

Output
TViewCollection | the view collection
Exception

## ignoreBubbleEvents

public void ignoreBubbleEvents | ()

Makes the multiview ignore all bubbled events.

This is method is used internally by framework and control developers.

Output
Exception

## loadState

public void loadState | ()

Loads state into the wizard.

This method is invoked by the framework when the control state is being saved.

Output
Exception

## onActiveViewChanged

public void onActiveViewChanged | (TEventParameter $param )

Raises OnActiveViewChanged event.

The event is raised when the currently active view is changed to a new one

Input
TEventParameter | $param | event parameter
Output
Exception

## onInit

public void onInit | (TEventParameter $param )

Initializes the active view if any.

This method overrides the parent implementation.

Input
TEventParameter | $param | event parameter
Output
Exception

## render

public void render | (THtmlWriter $writer )

Renders the currently active view.

Input
THtmlWriter | $writer | the writer for the rendering purpose.
Output
Exception

## setActiveView

public void setActiveView | (TView $view )

Input
TView | $view | the view to be activated
Output
Exception
throws | TInvalidOperationException if the view is not in the view collection

## setActiveViewIndex

public void setActiveViewIndex | (integer $value )

Input
integer | $value | the zero-based index of the current view in the view collection. -1 if no active view.
Output
Exception
throws | TInvalidDataValueException if the view index is invalid

Constant Details

### CMD_NEXTVIEW

#### Type:

string

#### Value:

'NextView'

### CMD_PREVIOUSVIEW

#### Type:

string

#### Value:

'PreviousView'

### CMD_SWITCHVIEWID

#### Type:

string

#### Value:

'SwitchViewID'

### CMD_SWITCHVIEWINDEX

#### Type:

string

#### Value:

'SwitchViewIndex'